Subject: [Sidrops] I-D Action: draft-ietf-sidrops-https-tal-00.txt

From: [email-masked]
Date: Tue, 20 Mar 2018 10:55:22 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the SIDR Operations WG of the IETF.

        Title           : Resource Public Key Infrastructure (RPKI) Trust Anchor Locator
        Authors         : Tim Bruijnzeels
                          George Michaelson
	Filename        : draft-ietf-sidrops-https-tal-00.txt
	Pages           : 9
	Date            : 2018-03-20

Abstract:
   This document defines a Trust Anchor Locator (TAL) for the Resource
   Public Key Infrastructure (RPKI).  This document obsoletes RFC 7730
   by adding support for HTTPS URIs in a TAL.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-sidrops-https-tal/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-sidrops-https-tal-00
https://datatracker.ietf.org/doc/html/draft-ietf-sidrops-https-tal-00

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Tim Bruijnzeels <[email-masked]>
Date: Thu, 22 Mar 2018 18:41:13 +0000

Dear WG,

As presented today, this is the adopted document that obsolete RFC7730 and allows the use of HTTPS in TALs.

The document obsoletes rather than updates because it would have become unreadable otherwise. There are a number of references to rsync in various parts of 7730. That said, the changes here are minimal. If any of the original authors of RFC7730 want to be on the list they can be added, alternatively I can extend the acknowledgment section.

As mentioned please review the text of section 4 (see below). If there are no objections in the next two weeks, then I will remove the first paragraph, upload an -01 version and ask for last call.

Kind regards

Tim

> 4.  HTTPS Considerations
> 
> 
>    REMOVE LATER: The following text is inspired by the equivalent
>    section in [RFC8182], but adapted for this case.
> 
>    Note that a Man in the Middle (MITM) cannot produce a CA certificate
>    that would be considered valid according to the process described in
>    Section 3. However, a MITM can perform withhold or replay attacks
>    targeting a Relying Party and keep the Relying Party from learning
>    about an update CA certificate.  Because of this, Relying Parties
>    SHOULD do TLS certificate and host name validation when they fetch a
>    CA certificate using an HTTPS URI on a TAL.
> 
>    Relying Party tools SHOULD log any TLS certificate or host name
>    validation issues found, so that an operator can investigate the
>    cause.  However, such validation issues are often due to
>    configuration errors or a lack of a common TLS trust anchor.  In
>    these cases, it is better if the Relying Party retrieves the CA
>    certificate regardless and performs validation on it.  Therefore, the
>    Relying Party MUST continue to retrieve the data in case of errors.
> 
>    It is RECOMMENDED that Relying Parties and Repository Servers follow
>    the Best Current Practices outlined in [RFC7525] on the use of HTTP
>    over TLS (HTTPS) [RFC7230].  Relying Parties SHOULD do TLS
>    certificate and host name validation using subjectAltName dNSName
>    identities as described in [RFC6125]. The rules and guidelines
>    defined in [RFC6125] apply here, with the following considerations:
> 
>    o  Relying Parties and Repository Servers SHOULD support the DNS-ID
>       identifier type.  The DNS-ID identifier type SHOULD be present in
>       Repository Server certificates.
> 
>    o  DNS names in Repository Server certificates SHOULD NOT contain the
>       wildcard character "*".
> 
>    o  A Common Name (CN) field may be present in a Repository Server
>       certificate's subject name but SHOULD NOT be used for
>       authentication within the rules described in [RFC6125].
> 
>    o  This protocol does not require the use of SRV-IDs.
> 
>    o  This protocol does not require the use of URI-IDs.
> 
>    Note, however, that this validation is done on a best-effort basis
>    and serves to highlight potential issues, but CA certificate
>    validation in relation to a TAL as described in Section 3 does not
>    depend on this.  Therefore, Relying Parties MAY deviate from the
>    validation steps listed above.

> On 20 Mar 2018, at 17:55, [email-masked] wrote:
> 
> 
> _______________________________________________
> Sidrops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sidrops
>

---

From: Tim Bruijnzeels <[email-masked]>
Date: Thu, 22 Mar 2018 18:42:02 +0000

Dear WG,

Kind regards

Tim